commit:     97f15b497600477c20ae272e15c2f385aae4d878
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Oct  2 04:30:46 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Oct  2 04:46:41 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=97f15b49

dev-python/packaging: Bump to 23.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/packaging/Manifest              |  1 +
 dev-python/packaging/packaging-23.2.ebuild | 36 ++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-python/packaging/Manifest b/dev-python/packaging/Manifest
index 048a982b9ebf..c184afe13479 100644
--- a/dev-python/packaging/Manifest
+++ b/dev-python/packaging/Manifest
@@ -1 +1,2 @@
 DIST packaging-23.1.tar.gz 134240 BLAKE2B 
ef7ef320a98592769078581e32fcc355d05f6fbb7611e7bd83fd2ed64d5f5f5d9c1f89c2a4a91ace1221214a9047e233d8d6a339fd29066b3695137ec5a870bd
 SHA512 
0f2246b8bfeb467623ee72e6fdb7c0416e3b4ba0e00102c1528581e0835cc8e731a812b15e2e429d3ebb0001713d95cc2675f443f4597b092e305a3ef2e9137a
+DIST packaging-23.2.tar.gz 146714 BLAKE2B 
cf7986a07312fd82a2a0ee738088993b9570d95cd0b573afa7a1f911bf335de7084e3d40d961adea7f5a8369738688f9d0a4265ef26a393f2d30769bc13f752a
 SHA512 
8ab5e9bc4feef2fac1c9044dc8a6f2d41aaf9fe2dae671de8b98c0b1a19dca2169588b87d85a8c990d808b1e76faee65984ce970eaa3282b75e107ca82cc2863

diff --git a/dev-python/packaging/packaging-23.2.ebuild 
b/dev-python/packaging/packaging-23.2.ebuild
new file mode 100644
index 000000000000..1db529fd81cb
--- /dev/null
+++ b/dev-python/packaging/packaging-23.2.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Core utilities for Python packages"
+HOMEPAGE="
+       https://github.com/pypa/packaging/
+       https://pypi.org/project/packaging/
+"
+
+SLOT="0"
+LICENSE="|| ( Apache-2.0 BSD-2 )"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos 
~x64-macos ~x64-solaris"
+
+RDEPEND="
+       >=dev-python/pyparsing-3.0.7-r1[${PYTHON_USEDEP}]
+       !<dev-python/setuptools-67
+"
+DEPEND="
+       test? (
+               dev-python/pretend[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+       epytest --capture=no
+}

Reply via email to